<div fxLayout="column" fxLayoutAlign="center center" class="register-wrapper">
  <h3>{{ 'MENU.TOP.AUTH.REGISTER' | translate }}</h3>

  <div class="divider"><mat-divider></mat-divider></div>

  <form [formGroup]="registerForm" fxLayout="column" fxLayoutGap="12px" class="p8T" class="register-form">
    <mat-form-field>
      <input matInput type="email" formControlName="email" required placeholder="{{ 'MENU.TOP.AUTH.EMAIL' | translate }}" />
      <mat-icon matSuffix class="primary-color input-icon">email</mat-icon>
      <mat-error>{{ 'MENU.TOP.AUTH.VALIDEMAIL' | translate }}</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input matInput type="password" formControlName="password" required placeholder="{{ 'MENU.TOP.AUTH.PASSWORD' | translate }}" />
      <mat-icon matSuffix class="primary-color input-icon">lock</mat-icon>
      <mat-error *ngIf="registerForm.get('password').hasError('required')">{{ 'MENU.TOP.AUTH.PASSWORDREQUIRED' | translate }}</mat-error>
      <mat-error *ngIf="registerForm.get('password').hasError('minlength')">{{ 'MENU.TOP.AUTH.PASSWORDWEAK' | translate }}</mat-error>
    </mat-form-field>

    <mat-form-field>
      <input matInput type="password" formControlName="password2" required placeholder="{{ 'MENU.TOP.AUTH.REPEATPASSWORD' | translate }}" />
      <mat-icon matSuffix class="primary-color input-icon">lock</mat-icon>
      <mat-error *ngIf="registerForm.get('password2').hasError('required')">{{ 'MENU.TOP.AUTH.PASSWORDREQUIRED' | translate }}</mat-error>
      <mat-error *ngIf="registerForm.get('password2').hasError('minlength')">{{ 'MENU.TOP.AUTH.PASSWORDWEAK' | translate }}</mat-error>
    </mat-form-field>

    <button
      mat-raised-button
      color="primary"
      type="submit"
      (click)="register(registerForm.get('email').value, registerForm.get('password').value)"
      [disabled]="registerForm.untouched || !registerForm.valid"
    >
      {{ 'MENU.TOP.AUTH.REGISTERBTN' | translate }}
    </button>
  </form>

  <div class="divider"><mat-divider></mat-divider></div>

  <button mat-stroked-button type="button" (click)="loadLogin()">
    <mat-icon>arrow_left</mat-icon>
    {{ 'MENU.TOP.AUTH.BACKTOLOGIN' | translate }}
  </button>
</div>
